Ask Your Question
0

Cannot start LO 4.1.1. due to missing libdbus-glib-1.so.2

asked 2013-09-07 08:48:47 +0200

rlindau gravatar image

updated 2015-11-12 13:02:42 +0200

Alex Kemp gravatar image

I am running Linux Mint 15, had till today been running Libreoffice 4.1.0.1, and wanted to go to LO 4.1.1.

I used synaptic to remove 4.1.0.1 (completely removed all packages starting with "libreoffice" and "libobasis"), and then I installed 4.1.1 following the instructions posted at http://www.libreoffice.org/get-help/installation/linux/

However, now I find LO will not start. When I attempt to start it via the terminal, I see the error message...

/opt/libreoffice4.1/program/soffice.bin: error while loading shared libraries: libdbus-glib-1.so.2: cannot open shared object file: No such file or directory

I tried installing libdbus-glib-1-2 via apt-get, but apt tells me I already have the most current version installed.

Can I ask someone's help in talking me thru what I need to do to resolve the problem?

Thank you, RL

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
0

answered 2013-09-07 09:30:34 +0200

L-user gravatar image

updated 2013-09-07 09:31:13 +0200

Don't install LibreOffice from LibreOffice.org web page. Use LibreOffice Ubuntu PPA (Mint is based on Ubuntu and Ubuntu PPAs should be working fine).

Read my post on how to do this: http://ask.libreoffice.org/en/question/22212/will-the-current-libre-office-4022-on-ubuntu-be-updated/

edit flag offensive delete link more

Comments

Thank you, L-user - your approach resolved my problem. Regards, RL

rlindau gravatar imagerlindau ( 2013-09-07 09:44:10 +0200 )edit
0

answered 2015-04-23 03:27:52 +0200

You can simply install the lib for i386:

 sudo apt-get install libdbus-glib-1-2:i386
edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2013-09-07 08:48:47 +0200

Seen: 1,854 times

Last updated: Apr 23 '15